# PetscBagGetData

Gives back the user - access to memory that should be used for storing user-data-structure

### Synopsis

    #include "petsc.h"
    #include "petscbag.h"
    PetscErrorCode PetscBagGetData(PetscBag bag, void **data)

Not Collective

### Input Parameter

bag -the bag of values

### Output Parameter

data -pointer to memory that will have user-data-structure

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterTruth(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum()

Level:Intermediate
Location: src/sys/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html